%define pypi_name sphinxcontrib-devhelp

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %mkrel 1
Summary:        Sphinx extension for Devhelp documents
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-devhelp/
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
sphinxcontrib-devhelp is a sphinx extension which outputs Devhelp document.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinxcontrib-devhelp is a sphinx extension which outputs Devhelp document.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

find -name '*.mo' -delete

%build
for po in $(find -name '*.po'); do
  msgfmt --output-file=${po%.po}.mo ${po}
done
%py3_build

%install
%py3_install

# Move language files to /usr/share
pushd %{buildroot}%{python3_sitelib}
for lang in `find sphinxcontrib/devhelp/locales -maxdepth 1 -mindepth 1 -type d -not -path '*/\.*' -printf "%f "`;
do
  test $lang == __pycache__ && continue
  install -d %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
  mv sphinxcontrib/devhelp/locales/$lang/LC_MESSAGES/*.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/
done
rm -rf sphinxcontrib/devhelp/locales
ln -s %{_datadir}/locale sphinxcontrib/devhelp/locales
popd

%find_lang sphinxcontrib.devhelp


%files -n python3-%{pypi_name} -f sphinxcontrib.devhelp.lang
%doc README.rst LICENSE
%{python3_sitelib}/sphinxcontrib/
%{python3_sitelib}/sphinxcontrib_devhelp-%{version}-py%{python3_version}-*.pth
%{python3_sitelib}/sphinxcontrib_devhelp-%{version}-py%{python3_version}.egg-info/

%changelog
* Sat Apr 09 2022 TerryN <terryn94 at gmail.com> 1.0.2-1pclos2022
- new package for python 3.10
